package edu.travel.adapter.service.commodity;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.commodity.ShopProductSpecRemoteController;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.vo.ProductSpecVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ShopProductSpecAdapter {
    @Autowired
    private ShopProductSpecRemoteController shopProductSpecRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<ProductSpecVo> getShopSpec(ProductSpecDto param) {
        return shopProductSpecRemoteController.getShopSpec(param);
    }
}
