package edu.travel.adapter.service.country;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.ShopLanguageRemoteController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.ShopLanguageVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class LanguageAdapter {
    @Autowired
    private ShopLanguageRemoteController shopLanguageRemoteController;

    @AdapterAnnotation
    public RPCBaseResponse<ShopLanguageVo> getFormId(String id) {
        return shopLanguageRemoteController.getFormId(id);
    }
}
