package edu.travel.web;

import edu.travel.resp.BaseResponse;
import org.springframework.validation.Errors;

import java.util.List;

public abstract class BaseApiController<T> {
    public abstract BaseResponse getList();

    public abstract BaseResponse updateTargetById(T target, Errors errors);

    public abstract BaseResponse deleteById(List<String> ids);

    public abstract BaseResponse saveTarget(T target, Errors errors);

    public abstract BaseResponse getById(String id);
}
