package edu.travel.entity.dict;

import java.util.HashMap;
import java.util.Map;

/**
 * UserStatusDict 类。
 * <p>
 * 描述：用户状态常量字典
 *
 * @author huangwenwen
 * @date 2025/2/14
 */


public class UserStatusDict {

    private final Map<Integer, String> userStatusMap = new HashMap<>();

    public UserStatusDict() {
        userStatusMap.put(0, "禁用");
        userStatusMap.put(1, "启用");
    }

    public String getValue(Integer key) {
        return userStatusMap.containsKey(key) ? userStatusMap.get(key) : null;
    }

}
