package edu.travel.remote.commodity;

import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.dto.ShopProductParametersDto;
import edu.travel.remote.vo.ShopProductParametersVo;
import org.springframework.cloud.openfeign.FeignClient;

@FeignClient(name = "commodity-dev", path = "/shopProductParameters")
public interface ShopProductParametersRemoteController extends RemoteBaseController<ShopProductParametersVo, ShopProductParametersDto> {

}
