package edu.travel.remote.commodity;

import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.dto.ShopUnitDto;
import edu.travel.remote.vo.ShopUnitVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(name = "commodity-dev", path = "/shopUnit")
public interface ShopUnitRemoteController extends RemoteBaseController<ShopUnitVo, ShopUnitDto> {
    @GetMapping("/getFormId")
    public RPCBaseResponse<ShopUnitVo> getFormId(String id);
}
