package edu.travel.remote.vo;


import lombok.Data;

import java.math.BigDecimal;

@Data
public class ShopProductVo {
    /**
     * 商品ID
     */
    private String id;
    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品描述
     */
    private String description;

    /**
     * 列表展示图片
     */
    private String mainImageUrl;

    /**
     * 热度值
     */
    private Integer heatValue;

    /**
     * 销量
     */
    private Integer salesVolume;
    /**
     * 价格
     */
    private BigDecimal defaultPrice;

    /**
     * 评分满分五分
     */
    private Integer scoring;
    /**
     * 国家ID
     */
    private String countryId;
}
