package edu.travel.remote.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.Map;

/**
 * 计件单位表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_unit")
public class ShopUnitVo extends BaseEntity {
    /**
     * 计件单位id
     */
    private Long id;

    /**
     * 单位名
     */
    private String unitName;

    /**
     * 国家id
     */
    private Long countryId;

    /**
     * 项目code
     */
    private String project;

    /**
     * 创建人
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUserId;
    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 删除状态
     */
    private Integer deleteFlag;

    /**
     * map
     */
    private Map<String, Object> map;
}