package edu.travel.remote.vo;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class OrderItemVo {

    /**
     * 订单商品表ID
     */
    private String id;

    /**
     * 订单表ID
     */
    private String orderId;

    /**
     * SKU
     */
    private String skuId;

    /**
     * 数量
     */
    private String quantity;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 使用的用户优惠券ID
     */
    private String userCouponId;

    /**
     * 优惠券抵扣金额
     */
    private BigDecimal couponDiscount;

    /**
     * 商品快照
     */
    private String snapshot;
    /**
     * 商品快照对象
     */
    private ShopSnapshotVo shopSnapshotVo;

    /**
     * 订单商品状态 默认0 -0正常;-1退货
     */
    private Integer state;

    /**
     * 商品ID
     */
    private String productId;

}
