package edu.travel.tenant;

import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(name = "tenant-dev", path = "/sysUserRole")
public interface SysUserRoleRemoteController {

    @GetMapping("/getAdmins")
    public RPCBaseResponse<List<String>> getAdmins();
}
