package edu.travel.vo;


import edu.travel.entity.BaseEntity;
import lombok.Data;

/**
 * 库房人员关联表
 */
@Data
public class ShopWarehouseStaffVo extends BaseEntity {
    /**
     * ID
     */
    private Long id;

    /**
     * 库房ID
     */
    private Long warehouseId;

    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 用户名
     */
    private String tenantName;

    /**
     * 角色id
     */
    private Long roleId;
    /**
     * 姓
     */
    private String tenantSurname;
    /**
     * 名
     */
    private String name;
    /**
     * 全名
     */
    private String tenantNameFull;

    /**
     * 删除标记 0正常 1删除
     */
    private Integer deleteFlag;
    /**
     * 项目标识
     */
    private String project;
}