package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 服务费
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_service_charge")
public class ShopServiceCharge extends BaseEntity {
    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 服务费比率
     */
    @TableField(value = "service_charge_value")
    private BigDecimal serviceChargeValue;

    /**
     * 国家ID
     */
    @TableField(value = "country")
    private Long country;


}