package edu.travel.commodity.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.commodity.entity.ShopCategory;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.ShopCategoryDto;
import edu.travel.remote.dto.ShopTypeDto;
import edu.travel.remote.vo.FileWebVo;
import edu.travel.remote.vo.ShopCategoryVo;
import edu.travel.remote.vo.ShopTypeVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ShopCategoryService extends IService<ShopCategory> {

    RPCBaseResponse<Page<ShopCategoryVo>> getCategoryPage(ShopCategoryDto shopCategoryDto);

    List<ShopTypeVo> getShopType(ShopTypeDto param);

    List<ShopTypeVo> getLevelToShopType(BaseDto param);

    RPCBaseResponse<FileWebVo> uploadIcon(MultipartFile file);
}
