package edu.travel.commodity.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.commodity.entity.ShopProduct;
import edu.travel.remote.dto.GetProductByTypeDto;
import edu.travel.remote.dto.InsertProductDto;
import edu.travel.remote.dto.SearchProductDto;
import edu.travel.remote.vo.ShopProductVo;

import java.io.IOException;


public interface ShopProductService extends IService<ShopProduct> {

    Page<ShopProductVo> getHotProduct(GetProductByTypeDto param);

    Page<ShopProductVo> searchProduct(SearchProductDto param) throws IOException;

    void insertProduct(InsertProductDto params);
}
