package edu.travel.tenant.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.remote.feign.mode.dto.tenant.BannerDto;
import edu.travel.remote.feign.mode.vo.banner.BannerVo;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.tenant.entity.ShopBanner;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


public interface ShopBannerService extends IService<ShopBanner> {


    List<BannerVo> getBanner(BannerDto mode);

    RPCBaseResponse<String> uploadBannerImage(MultipartFile file);

    RPCBaseResponse<BannerVo> saveBannerCountry(BannerDto banner);

    RPCBaseResponse<BannerVo> updateBannerCountry(BannerDto banner);

    RPCBaseResponse<IPage<BannerVo>> getBannerAllPage(BannerDto banner);
}
