package edu.travel.annotation;

import java.lang.annotation.*;

/**
 * @author 畅
 * 常量字典注解
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
@Inherited
public @interface LinkConst {
    /**
     * 字典类
     *
     * @return
     */
    Class clazz();

    /**
     * 需要字典翻译字段
     *
     * @return
     */
    String fieldName();
}
