package edu.travel.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;

import java.util.Date;

@Data
public class BaseEntity {
    @TableField(value = "project", fill = FieldFill.INSERT)
    public String project;
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    public Date createTime;
    @TableField(value = "create_user_id", fill = FieldFill.INSERT)
    public String createUserId;
    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    public Date updateTime;
    @TableField(value = "update_user_id", fill = FieldFill.UPDATE)
    public String updateUserId;
    @TableField(value = "delete_flag", fill = FieldFill.INSERT)
    @TableLogic(value = "0", delval = "1")
    public Integer deleteFlag;
}
