package edu.travel.remote.commodity;

import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.dto.ShopOpinionTypeDto;
import edu.travel.remote.vo.OpinionTypeVo;
import edu.travel.remote.vo.ShopOpinionTypeVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "commodity-dev", path = "/shopOpinionType")
public interface ShopOpinionTypeRemoteController extends RemoteBaseController<ShopOpinionTypeVo, ShopOpinionTypeDto> {
    @GetMapping("/getType")
    public RPCBaseResponse<List<OpinionTypeVo>> getType(@RequestParam("languageId") String languageId);
}
