package edu.travel.remote.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import edu.travel.po.PagePO;
import lombok.Data;

import java.util.Date;

/**
 * 意见表
 */
@Data
public class ShopOpinionDto extends PagePO {
    /**
     * 意见类型ID
     */
    private Long id;

    /**
     * 国家id
     */
    private String countryId;

    /**
     * 意见类型id
     */
    private Long typeId;

    /**
     * 描述
     */
    private String description;

    /**
     * 意见处理,默认0,0未处理,1已处理
     */
    private Integer state;
    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * 项目标识
     */
    private String project;
}