package edu.travel.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 货币表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_currency")
public class ShopCurrencyVo extends BaseEntity {
    /**
     * ID
     */
    private String id;

    /**
     * 货币名称_en
     */
    private String currencyNameEn;

    /**
     * 货币名称_zh
     */
    private String currencyNameZh;

    /**
     * 货币代码
     */
    private String currencyCode;

    /**
     * 货币符号
     */
    private String currencySymbol;
    /**
     * 货币单位
     */
    private String currencyUnit;

    /**
     * 状态 -0启用  -1禁用
     */

    private Integer status;
}