package edu.travel.remote.vo;


import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class OrderStateVo {
    /**
     * 操作时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public Date createTime;
    /**
     * id
     */
    private String id;
    /**
     * 订单号
     */
    private String orderId;
    /**
     * 描述
     */
    private String description;
    /**
     * 0 待付款 1 已下单代发货 2 待收货 3 已完成 4已取消
     */
    private Integer status;
}
