package edu.travel.remote;

import edu.travel.dto.ShopWarehouseStaffDto;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(path = "/shopWarehouseStaff", name = "warehouse-dev")
public interface ShopWarehouseStaffRemoteController {
    @PostMapping("/insertWarehouseStaff")
    public RPCBaseResponse<Boolean> insertWarehouseStaff(@RequestBody ShopWarehouseStaffDto staffDto);
}
