package edu.travel.commodity.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.commodity.entity.ShopAddress;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.UpdateAddressDto;
import edu.travel.remote.vo.ShopAddressVo;

public interface ShopAddressService extends IService<ShopAddress> {


    Page<ShopAddressVo> getShopAddress(BaseDto dto);

    boolean updateAddressById(UpdateAddressDto param);
}
